using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities
{
    public class UpsertUser
    {
        [JsonProperty("accountName")]
        public string AccountName { get; set; }
        [JsonProperty("username")]
        public string Username { get; set; }
        [JsonProperty("role")]
        public string Role { get; set; }
        [JsonProperty("description")]
        public string Description { get; set; }
        [JsonProperty("isActive")]
        public bool IsActive { get; set; }
        [JsonProperty("isPermittedEdit")]
        public bool IsPermittedEdit { get; set; }
        [JsonProperty("phone")]
        public string Phone { get; set; }
        [JsonProperty("expiredAt")]
        public string ExpiredAt { get; set; }
        [JsonProperty("permissions")]
        public List<string> Permissions { get; set; }
        [JsonProperty("password")]
        public string Password { get; set; }
    }
}
